Magick++ 7.1.0

Public Member Functions | List of all members
Magick::Point Class Reference

`#include <Geometry.h>`

## Public Member Functions
| Point ()
| Point (const char *point_)
| Point (const Point &point_)
| Point (const std::string &point_)
| Point (double x_, double y_)
| Point (double xy_)
| ~Point (void)
const Point & | operator= (const char *point_)
const Point & | operator= (double xy_)
Point & | operator= (const Point &point_)
const Point & | operator= (const std::string &point_)
| operator std::string () const
bool | isValid () const
double | x (void) const
double | y (void) const

## Detailed Description

Definition at line 208 of file Geometry.h.

## Constructor & Destructor Documentation

## ◆ Point() [1/6]

Magick::Point::Point | ( | void |  | ) |

Definition at line 589 of file Geometry.cpp.

## ◆ Point() [2/6]

Magick::Point::Point | ( | const char * | point_ | ) |

Definition at line 595 of file Geometry.cpp.

## ◆ Point() [3/6]

Magick::Point::Point | ( | const Point & | point_ | ) |

Definition at line 602 of file Geometry.cpp.

## ◆ Point() [4/6]

Magick::Point::Point | ( | const std::string & | point_ | ) |

Definition at line 608 of file Geometry.cpp.

## ◆ Point() [5/6]

Magick::Point::Point | ( | double | x_,
|  | double | y_
| ) |  |

Definition at line 615 of file Geometry.cpp.

## ◆ Point() [6/6]

Magick::Point::Point | ( | double | xy_ | ) |

Definition at line 621 of file Geometry.cpp.

## ◆ ~Point()

Magick::Point::~Point | ( | void |  | ) |

Definition at line 627 of file Geometry.cpp.

## Member Function Documentation

## ◆ isValid()

bool Magick::Point::isValid | ( | void |  | ) | const

Definition at line 698 of file Geometry.cpp.

Referenced by Magick::Options::density(), Magick::Image::density(), and main().

## ◆ operator std::string()

Magick::Point::operator std::string | ( |  | ) | const

Definition at line 671 of file Geometry.cpp.

## ◆ operator=() [1/4]

const Magick::Point & Magick::Point::operator= | ( | const char * | point_ | ) |

Definition at line 631 of file Geometry.cpp.

## ◆ operator=() [2/4]

const Magick::Point & Magick::Point::operator= | ( | double | xy_ | ) |

Definition at line 647 of file Geometry.cpp.

## ◆ operator=() [3/4]

Magick::Point & Magick::Point::operator= | ( | const Point & | point_ | ) |

Definition at line 654 of file Geometry.cpp.

## ◆ operator=() [4/4]

const Magick::Point & Magick::Point::operator= | ( | const std::string & | point_ | ) |

Definition at line 665 of file Geometry.cpp.

## ◆ x()

double Magick::Point::x | ( | void |  | ) | const

Definition at line 703 of file Geometry.cpp.

Referenced by Magick::Image::density(), main(), Magick::operator==(), and Magick::Image::resample().

## ◆ y()

double Magick::Point::y | ( | void |  | ) | const

Definition at line 708 of file Geometry.cpp.

Referenced by Magick::Image::density(), main(), Magick::operator==(), and Magick::Image::resample().

The documentation for this class was generated from the following files:

- Geometry.h
- Geometry.cpp